--
-- file prepared: 10 January 2024 13:07:22.241, using fd577h
--
--SFM_characteristics.lua (file 2 for assembly)

f3d = {

	Name = 'f3d',

	DisplayName = _('f3d'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "f3d.png",
	Rate = 50,
	Shape = "f3d",

	shape_table_data =
	{
		{
			file = 'f3d';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'f3d';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 13.84,
	height = 4.9,
	wing_area = 37,
	wing_span = 15.24,
	wing_tip_pos = { -0.5, 0.3, 7.5},
	RCS = 3.9,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 6, 0.5, 0.8},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 2,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 6799,
	M_nominal = 10693,
	M_max = 11100,
	M_fuel_max = 2500,
	H_max = 11460,										-- (calculated from service_ceiling)
	CAS_min = 56,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 172,
	V_take_off = 58,
	V_land = 58,
	V_max_sea_level = 108,
	V_max_h = 183,
	Vy_max = 18,
	Mach_max = 0.72,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 4.5, -1, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { 0.5, -1, 3},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = false,
	thrust_sum_max = 3086.5,
	thrust_sum_ab = 3086.5,
	engines_count = 2,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {4.5, -0.05, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {4.5, -1, 0},
		}, --end of[1]
		[2] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy_2",
			canopy_pos = {4.5, -0.05, 0},
			canopy_ejection_dir = {0.0, 0.5, 0.5},
			pos = {4.5, -1, 0},
			canopy_arg = 421,
		}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-1.8, -0.5, 0.75},
			elevation = -0.5,
			diameter = 0.675,							-- default
			exhaust_length_ab = 3,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.2,
		}, -- end of [1]
		[2] =
		{
			pos = {-1.8, -0.5, -0.75},
			elevation = -0.5,
			diameter = 0.675,							-- default
			exhaust_length_ab = 3,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.2,
		}, -- end of [2]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------


	Guns = {
		M_39({ muzzle_pos = {4.15, -0.48, 0.35},_connector =  "Point_Gun_01",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {4.28, -0.48, 0.18},_connector =  "Point_Gun_02",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {4.28, -0.48, -0.18},_connector =  "Point_Gun_03",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {4.15, -0.48, -0.35},_connector =  "Point_Gun_04",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
	},


	Pylons = {
		pylon(1, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
			} 
		),
		pylon(2, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
			} 
		),
		pylon(3, 0, 0.63, -0.18, 5.2, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" }, --AIM-7M
			} 
		),
		pylon(4, 0, 0.63, -0.28, 3.75, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" }, --AIM-7M
			} 
		),
		pylon(5, 0, 0.63, -0.28, -3.75, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" }, --AIM-7M
			} 
		),
		pylon(6, 0, 0.63, -0.18, -5.2, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{8D399DDA-FF81-4F14-904D-099B34FE7918}" }, --AIM-7M
			} 
		),
		pylon(7, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
			} 
		),
		pylon(8, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
			} 
		),
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir = {0, 1, 0},
			pos = {-4, 0.1, -0.5},
		}, --end of[1]
	}, --end of chaff_flare_dispenser

	--Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 150,
		chaff = {default = 75, increment = 3, chargeSz = 1},
		flare = {default = 75, increment = 3, chargeSz = 1}
	},


---------------------------------------------------------------------------------------------------------------------------------------------
	--Sensors 
	Sensors = {
		RADAR = "AN/APG-63", --RADAR
		RWR = "Abstract RWR" --RWR
	},


	fires_pos =
	{
		[1] = { -0.45, 0.3, 0.0},
		[2] = { -0.18, 0.3, 0.18},
		[3] = { -0.27, 0.3, -0.18},
		[4] = { 0.63, 0.3, 1.875},
		[5] = { 0.63, 0.3, -1.875},
		[6] = { 0.63, 0.3, 6},
		[7] = { 0.63, 0.3, -6},
		[8] = { -1.8, -0.5, 0.18},
		[9] = { -1.8, -0.5, -0.18},
		[10] = { -0.9, 0.3, 0.18},
		[11] = { -0.9, 0.3, -0.18},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 0.8,					-- default
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.0559,	0.273,	0.248,	1.75,	11.7,	0.656,		},
				{0.1,	0.015,	0.0506,	0.273,	0.248,	4.75,	13,	0.656,		},
				{0.2,	0.015,	0.0597,	0.273,	0.248,	4.75,	14.3,	0.856,		},
				{0.3,	0.015,	0.0587,	0.273,	0.248,	4.75,	15.8,	1,		},
				{0.4,	0.015,	0.0577,	0.273,	0.248,	4.75,	17.5,	1.03,		},
				{0.5,	0.015,	0.0551,	0.179,	0.178,	4.75,	17.5,	1,		},
				{0.6,	0.015,	0.0517,	0.13,	0.147,	4.75,	17.5,	1,		},
				{0.7,	0.015,	0.048,	0.099,	0.13,	4.75,	17.5,	1,		},
				{0.8,	0.0213,	0.0442,	0.0551,	0.0852,	1.75,	17.5,	1,		},
				{0.9,	0.0575,	0.03,	0.00145,	0.00019,	1.53,	17.5,	1,		},
				{1,		0.0675,	0.03,	0.268,	0.134,	1.34,	16.6,	0.951,		},
				{1.1,	0.0775,	0.03,	0.234,	0.117,	1.17,	15.8,	0.905,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 1,
			ForsRUD  = 1,
			typeng  = 0,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	18907,	18907,		},
				{0.2,	28361,	28361,		},
				{0.4,	37815,	37815,		},
				{0.6,	37815,	37815,		},
				{0.8,	37815,	37815,		},
				{1,	37815,	37815,		},
				{1.2,	37815,	37815,		},
				{1.4,	37815,	37815,		},
				{1.6,	37815,	37815,		},
				{1.8,	37815,	37815,		},
				{2,	28361,	28361,		},
				{2.2,	18907,	18907,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 2.0,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				32 k ft		0.m		adj:+/-
				33 k ft		0.m		adj:+/-
				35 k ft		0.m		adj:+/-
				38 k ft		0.m		adj:+/-
				42 k ft		0.m		adj:+/-
				43 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 9753, 10241, 10753, 11759, 12804, 13392 }, 
					thrust = {
						{ 39338,  59007,  78676,  78676,  78676,  78676,  78676,  78676,  78676,  78676,  59007,  39338  }, 
						{ 19072,  28609,  38145,  38145,  38145,  38145,  38145,  38145,  38145,  38145,  28609,  19072  }, 
						{ 8176,   12264,  16352,  16352,  16352,  16352,  16352,  16352,  16352,  16352,  12264,  8176   }, 
						{ 7098,   10648,  14197,  14197,  14197,  14197,  14197,  14197,  14197,  14197,  10648,  7098   }, 
						{ 8124,   12187,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  12187,  8124   }, 
						{ 8124,   12187,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  12187,  8124   }, 
						{ 4063,   6095,   8127,   8127,   8127,   8127,   8127,   8127,   8127,   8127,   6095,   4063   }, 
						{ 1355,   2033,   2711,   2711,   2711,   2711,   2711,   2711,   2711,   2711,   2033,   1355   }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 9753, 10241, 10753, 11759, 12804, 13392 }, 
					thrust = {
						{ 39338,  59007,  78676,  78676,  78676,  78676,  78676,  78676,  78676,  78676,  59007,  39338  }, 
						{ 19072,  28609,  38145,  38145,  38145,  38145,  38145,  38145,  38145,  38145,  28609,  19072  }, 
						{ 8176,   12264,  16352,  16352,  16352,  16352,  16352,  16352,  16352,  16352,  12264,  8176   }, 
						{ 7098,   10648,  14197,  14197,  14197,  14197,  14197,  14197,  14197,  14197,  10648,  7098   }, 
						{ 8124,   12187,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  12187,  8124   }, 
						{ 8124,   12187,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  16249,  12187,  8124   }, 
						{ 4063,   6095,   8127,   8127,   8127,   8127,   8127,   8127,   8127,   8127,   6095,   4063   }, 
						{ 1355,   2033,   2711,   2711,   2711,   2711,   2711,   2711,   2711,   2711,   2033,   1355   }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "f3d-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(f3d)


