--
-- file prepared: 10 January 2024 13:10:57.719, using fd577h
--
--SFM_characteristics.lua (file 2 for assembly)

f4d = {

	Name = 'f4d',

	DisplayName = _('f4d'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "f4d.png",
	Rate = 50,
	Shape = "f4d",

	shape_table_data =
	{
		{
			file = 'f4d';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'f4d';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 13.79,
	height = 3.96,
	wing_area = 51.7,
	wing_span = 10.21,
	wing_tip_pos = { -3.5, -0.2, 4.75},
	RCS = 3.9,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 7.25, 0.25, 0.75},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 1,										-- default
	crew_size = 1,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 7268,
	M_nominal = 10273,
	M_max = 12300,
	M_fuel_max = 4000,
	H_max = 16764,										-- (calculated from service_ceiling)
	CAS_min = 56,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 258,
	V_take_off = 58,
	V_land = 58,
	V_max_sea_level = 163,
	V_max_h = 208,
	Vy_max = 93,
	Mach_max = 1.1,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 6.25, -1, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { 0.5, -1, 2},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = true,
	thrust_sum_max = 4629.8,
	thrust_sum_ab = 7262.4,
	engines_count = 1,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {6.25, -0.05, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {6.25, -1, 0},
		}, --end of[1]
		--[2] =
		--{
			--ejection_seat_name = 9,
			--drop_canopy_name = "aircraft_canopy_2",
			--canopy_pos = {6.25, -0.05, 0},
			--canopy_ejection_dir = {0.0, 0.5, 0.5},
			--pos = {6.25, -1, 0},
			--canopy_arg = 421,
		--}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-3.75, 0, 0},
			elevation = 0,
			diameter = 1.1,								-- default
			exhaust_length_ab = 8,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.2,
			afterburner_circles_count = 7,				-- default
			afterburner_circles_pos = { 0.2, 0.8 },		-- default
			afterburner_circles_scale = 0.95,			-- default
		}, -- end of [1]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------


	Guns = {
		M_39({ muzzle_pos = {2.5, -0.15, 2.75},_connector =  "Point_Gun_01",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {3.5, -0.15, 2.25},_connector =  "Point_Gun_02",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {3.5, -0.15, -2.25},_connector =  "Point_Gun_03",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		M_39({ muzzle_pos = {2.5, -0.15, -2.75},_connector =  "Point_Gun_04",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
	},


	Pylons = {
		pylon(1, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
			} 
		),
		pylon(2, 0, 0.75, -0.4, 3, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
			} 
		),
		pylon(3, 0, 1.75, -0.6, 2.15, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(4, 0, 2.5, -0.7, 0.8, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(5, 0, 2.5, -0.7, -0.8, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(6, 0, 1.75, -0.6, -2.15, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
			} 
		),
		pylon(7, 0, 0.75, -0.4, -3, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
			} 
		),
		pylon(8, 0, 0, 0, 0, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
			} 
		),
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir = {0, 1, 0},
			pos = {-2.25, 0.5, -0.75},
		}, --end of[1]
	}, --end of chaff_flare_dispenser

	--Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 150,
		chaff = {default = 75, increment = 3, chargeSz = 1},
		flare = {default = 75, increment = 3, chargeSz = 1}
	},


---------------------------------------------------------------------------------------------------------------------------------------------


	fires_pos =
	{
		[1] = { -0.9375, -0.2, 0.0},
		[2] = { -0.375, -0.2, 2.25},
		[3] = { -0.5625, -0.2, -2.25},
		[4] = { 2.5, -0.2, 1.1875},
		[5] = { 2.5, -0.2, -1.1875},
		[6] = { 2.5, -0.2, 3.8},
		[7] = { 2.5, -0.2, -3.8},
		[8] = { -3.75, 0, 2.25},
		[9] = { -3.75, 0, -2.25},
		[10] = { -1.875, -0.2, 2.25},
		[11] = { -1.875, -0.2, -2.25},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 0.8,					-- default
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.0349,	0.394,	0.235,	2.3,	11.7,	0.409,		},
				{0.1,	0.015,	0.0316,	0.394,	0.235,	6.25,	13,	0.409,		},
				{0.2,	0.015,	0.0425,	0.394,	0.235,	6.25,	14.3,	0.609,		},
				{0.3,	0.015,	0.0568,	0.394,	0.235,	6.25,	15.8,	1,		},
				{0.4,	0.015,	0.0711,	0.394,	0.235,	6.25,	17.5,	1.27,		},
				{0.5,	0.015,	0.0686,	0.263,	0.169,	6.25,	17.5,	1.22,		},
				{0.6,	0.015,	0.0649,	0.197,	0.142,	6.25,	17.5,	1.16,		},
				{0.7,	0.015,	0.0607,	0.158,	0.13,	6.25,	17.5,	1.08,		},
				{0.8,	0.0213,	0.0564,	0.119,	0.113,	2.3,	17.5,	1.01,		},
				{0.9,	0.035,	0.03,	0.055,	0.0523,	2.01,	17.5,	1,		},
				{1,		0.0448,	0.03,	0.352,	0.176,	1.76,	16.6,	0.951,		},
				{1.1,	0.0443,	0.03,	0.308,	0.154,	1.54,	15.8,	0.905,		},
				{1.2,	0.0439,	0.03,	0.27,	0.135,	1.35,	15.1,	0.861,		},
				{1.3,	0.0435,	0.03,	0.236,	0.118,	1.18,	14.3,	0.819,		},
				{1.4,	0.043,	0.03,	0.207,	0.103,	1.03,	13.6,	0.779,		},
				{1.5,	0.0426,	0.03,	0.181,	0.0904,	0.904,	13,	0.741,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 0.85,
			ForsRUD  = 0.91,
			typeng  = 1,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	34706,	54758,		},
				{0.2,	52059,	82138,		},
				{0.4,	69412,	109517,		},
				{0.6,	69412,	109517,		},
				{0.8,	69412,	109517,		},
				{1,	69412,	109517,		},
				{1.2,	69412,	109517,		},
				{1.4,	69412,	109517,		},
				{1.6,	69412,	109517,		},
				{1.8,	69412,	109517,		},
				{2,	52059,	82138,		},
				{2.2,	34706,	54758,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 2.0,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				37 k ft		0.m		adj:+/-
				39 k ft		0.m		adj:+/-
				45 k ft		0.m		adj:+/-
				50 k ft		0.m		adj:+/-
				55 k ft		0.m		adj:+/-
				57 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11429, 12001, 13777, 15499, 16877, 17652 }, 
					thrust = {
						{ 63546,  95319,  127092, 127092, 127092, 127092, 127092, 127092, 127092, 127092, 95319,  63546  }, 
						{ 34995,  52493,  69991,  69991,  69991,  69991,  69991,  69991,  69991,  69991,  52493,  34995  }, 
						{ 16022,  24034,  32045,  32045,  32045,  32045,  32045,  32045,  32045,  32045,  24034,  16022  }, 
						{ 14434,  21651,  28868,  28868,  28868,  28868,  28868,  28868,  28868,  28868,  21651,  14434  }, 
						{ 12391,  18587,  24782,  24782,  24782,  24782,  24782,  24782,  24782,  24782,  18587,  12391  }, 
						{ 12391,  18587,  24782,  24782,  24782,  24782,  24782,  24782,  24782,  24782,  18587,  12391  }, 
						{ 6218,   9327,   12436,  12436,  12436,  12436,  12436,  12436,  12436,  12436,  9327,   6218   }, 
						{ 2087,   3131,   4175,   4175,   4175,   4175,   4175,   4175,   4175,   4175,   3131,   2087   }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 11429, 12001, 13777, 15499, 16877, 17652 }, 
					thrust = {
						{ 99680,  149520, 199360, 199360, 199360, 199360, 199360, 199360, 199360, 199360, 149520, 99680  }, 
						{ 54895,  82342,  109790, 109790, 109790, 109790, 109790, 109790, 109790, 109790, 82342,  54895  }, 
						{ 25133,  37700,  50267,  50267,  50267,  50267,  50267,  50267,  50267,  50267,  37700,  25133  }, 
						{ 22641,  33962,  45283,  45283,  45283,  45283,  45283,  45283,  45283,  45283,  33962,  22641  }, 
						{ 19437,  29156,  38875,  38875,  38875,  38875,  38875,  38875,  38875,  38875,  29156,  19437  }, 
						{ 19437,  29156,  38875,  38875,  38875,  38875,  38875,  38875,  38875,  38875,  29156,  19437  }, 
						{ 9754,   14631,  19508,  19508,  19508,  19508,  19508,  19508,  19508,  19508,  14631,  9754   }, 
						{ 3275,   4912,   6550,   6550,   6550,   6550,   6550,   6550,   6550,   6550,   4912,   3275   }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "f4d-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(f4d)


