--
-- file prepared: 10 January 2024 22:57:21.028, using fd577h
--
--SFM_characteristics.lua (file 2 for assembly)

jaguar = {

	Name = 'jaguar',

	DisplayName = _('jaguar'),
	ViewSettings = ViewSettings,
	Countries = { "Abkhazia","Australia","Austria","Belarus","Belgium","Brazil","Bulgaria","Canada","China",
			 "Croatia","Czech Republic","Denmark","Egypt","ESA","Finland","France","Georgia",
			 "German Empire","Germany","Greece","Hungary","Imperial Japan","India","Insurgents","Iran",
			 "Iraq","Israel","Italy","Japan","Kazakhstan","NASA","North Korea","Norway",
			 "Pakistan","Poland","Romania","Russia","Saudi Arabia","Serbia","Slovakia","South Korea",
			 "South Ossetia","Spain","Sweden","Switzerland","Syria","The Netherlands","Turkey","UK",
			 "Ukraine","USA","USAF Aggressors","USSR","Vietnam"},

	HumanCockpit = false,
	HumanCockpitPath = current_mod_path..'/Cockpit/',
	Picture = "jaguar.png",
	Rate = 50,
	Shape = "jaguar",

	shape_table_data =
	{
		{
			file = 'jaguar';
			life = 20;
			vis = 3;
			fire = { 300, 2};
			username = 'jaguar';
			index = WSTYPE_PLACEHOLDER;
		},
	},
	------------------------ -
	mapclasskey = "P0091000024",
	attribute = {wsType_Air, wsType_Airplane, wsType_Fighter, WSTYPE_PLACEHOLDER, "Multirole fighters", "Refuelable", "Datalink", "Link16"},
	Categories = {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},

	---------	General	Characteristics	---------
	length = 16.83,
	height = 4.89,
	wing_area = 24.18,
	wing_span = 8.69,
	wing_tip_pos = { -3.5, 1.5, 4.25},
	RCS = 3.9,											-- (estimated from height, length and wing surface area)
	air_refuel_receptacle_pos = { 5, 1.25, 1},
	has_speedbrake = true,								-- default
	brakeshute_name = 4,								-- default
	is_tanker = false,									-- default
	tanker_type = 2,									-- default
	stores_number = 8,
	wing_type = 0,										-- default
	crew_size = 1,										-- default
	crew_size = 1,										-- default

	------- Weight & Fuel Characteristics -------
	M_empty = 8000,
	M_nominal = 10954,
	M_max = 15700,
	M_fuel_max = 4000,
	H_max = 14021,										-- (calculated from service_ceiling)
	CAS_min = 61,
	average_fuel_consumption = 1,						-- default

	----------_ AI Flight Parameters -----------
	V_opt = 378,
	V_take_off = 64,
	V_land = 64,
	V_max_sea_level = 236,
	V_max_h = 364,
	Vy_max = 38,
	Mach_max = 1.6,
	Ny_min = -3,										-- default
	Ny_max = 8,											-- default
	Ny_max_e = 8,										-- default
	AOA_take_off = 0.16,								-- default
	bank_angle_max = 60,								-- default
	range = 3000,										-- default
	flaps_maneuver = 1,									-- default

	-------- Suspension Characteristics -------
	and_gear_max = 1,									-- default
	nose_gear_pos = { 4, 0.25, 0},
	nose_gear_wheel_diameter = 0.5,						-- default
	nose_gear_amortizer_direct_stroke = 0.05,			-- default
	nose_gear_amortizer_reversal_stroke = -0.25,		-- default
	nose_gear_amortizer_normal_weight_stroke = -0.05,	-- default
	main_gear_pos = { -1, 0.1, 2},
	main_gear_wheel_diameter = 0.75,					-- default
	main_gear_amortizer_direct_stroke = 0.1,			-- default
	main_gear_amortizer_reversal_stroke = -0.275,		-- default
	main_gear_amortizer_normal_weight_stroke = -0.1,	-- default

	---------- Engine Characteristics ---------
	has_afteburner = true,
	thrust_sum_max = 4638.9,
	thrust_sum_ab = 6626.9,
	engines_count = 2,
	IR_emission_coeff = 0.05,							-- default
	IR_emission_coeff_ab = 0.05,						-- default

	--------- Sensors Characteristics ---------
	detection_range_max = 250,							-- default
	radar_can_see_ground = true,						-- default


---------------------------------------------------------------------------------------------------------------------------------------------

	crew_members =
	{
		[1] =
		{
			ejection_seat_name = 9,
			drop_canopy_name = "aircraft_canopy",
			canopy_pos = {4, 1.2, 0},
			canopy_ejection_dir = {0.0, 0.5, -0.5},
			pos = {4, 0.25, 0},
		}, --end of[1]
		--[2] =
		--{
			--ejection_seat_name = 9,
			--drop_canopy_name = "aircraft_canopy_2",
			--canopy_pos = {4, 1.2, 0},
			--canopy_ejection_dir = {0.0, 0.5, 0.5},
			--pos = {4, 0.25, 0},
			--canopy_arg = 421,
		--}, --end of[2]
	}, --end of crew_members

---------------------------------------------------------------------------------------------------------------------------------------------


	--------- Engine, nozzles and exhaust ---------

	engines_nozzles = {
		[1] =
		{
			pos = {-4, 1, 0.5},
			elevation = 1,
			diameter = 1.1,								-- default
			exhaust_length_ab = 8,						-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.15,
			afterburner_circles_count = 7,				-- default
			afterburner_circles_pos = { 0.2, 0.8 },		-- default
			afterburner_circles_scale = 0.95,			-- default
		}, -- end of [1]
		[2] =
		{
			pos = {-4, 1, -0.5},
			elevation = 1,
			diameter = 1.1,							-- default
			exhaust_length_ab = 8,					-- default
			exhaust_length_ab_K = 0.707,				-- default
			smokiness_level = 0.15,
			afterburner_circles_count = 7,			-- default
			afterburner_circles_pos = { 0.2, 0.8 },	-- default
			afterburner_circles_scale = 0.95,		-- default
		}, -- end of [2]
	}, -- end of engines_nozzles


---------------------------------------------------------------------------------------------------------------------------------------------


	Guns = {
		DEFA_554_A({ muzzle_pos = {3.5, 0.8, 0.83},_connector =  "Point_Gun_02",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
		DEFA_554_A({ muzzle_pos = {3.5, 0.8, -0.83},_connector =  "Point_Gun_03",rates = {1000},effect_arg_number = 350,mixes = {{1,2,3}},azimuth_initial = 0.0,elevation_initial = 0,supply_position = {0.0,0.0,0.0}}),
	},


	Pylons = {
		pylon(1, 0, -1.75, 1.2, 3, --
			{
				use_full_connector_position = true, connector = "Pylon1", arg = 308, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(2, 0, -1.5, 1.2, 2.75, --
			{
				use_full_connector_position = true, connector = "Pylon2", arg = 309, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(3, 0, -1.25, 1.2, 2, --
			{
				use_full_connector_position = true, connector = "Pylon3", arg = 310, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(4, 0, 1.25, 0.45, 0, --
			{
				use_full_connector_position = true, connector = "Pylon4", arg = 311, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(5, 0, -2, 0.45, 0, --
			{
				use_full_connector_position = true, connector = "Pylon5", arg = 312, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(6, 0, -1.25, 1.2, -2, --
			{
				use_full_connector_position = true, connector = "Pylon6", arg = 313, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(7, 0, -1.5, 1.2, -2.75, --
			{
				use_full_connector_position = true, connector = "Pylon7", arg = 314, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
		pylon(8, 0, -1.75, 1.2, -3, --
			{
				use_full_connector_position = true, connector = "Pylon8", arg = 315, arg_value = 0,
			},
			{
				{ CLSID = "{9BFD8C90-F7AE-4e90-833B-BFD0CED0E536}" }, --AIM-9P
				{ CLSID = "{6CEB49FC-DED8-4DED-B053-E1F033FF72D3}" }, --AIM-9M
				{ CLSID = "{FC23864E-3B80-48E3-9C03-4DA8B1D7497B}" }, --R.550 Magic 2 
			} 
		),
	},

	chaff_flare_dispenser =
	{
		[1] =
		{
			dir = {0, 1, 0},
			pos = {-3, 1, -0.9},
		}, --end of[1]
	}, --end of chaff_flare_dispenser

	--Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 160,
		chaff = {default = 80, increment = 3, chargeSz = 1},
		flare = {default = 80, increment = 3, chargeSz = 1}
	},


---------------------------------------------------------------------------------------------------------------------------------------------


	fires_pos =
	{
		[1] = { -1, 1.5, 0.0},
		[2] = { -0.4, 1.5, 0.83},
		[3] = { -0.6, 1.5, -0.83},
		[4] = { -2, 1.5, 1.0625},
		[5] = { -2, 1.5, -1.0625},
		[6] = { -2, 1.5, 3.4},
		[7] = { -2, 1.5, -3.4},
		[8] = { -4, 1, 0.83},
		[9] = { -4, 1, -0.83},
		[10] = { -2, 1.5, 0.83},
		[11] = { -2, 1.5, -0.83},
	},	-- end of fires_pos

---------------------------------------------------------------------------------------------------------------------------------------------


--(file 3 for aessembly)

	--[[
	fires_pos =
	{
		[1] = 	{-1.594,	-0.064,		0},
		[2] = 	{-1.073,	0.319,		2.304},
		[3] = 	{-1.187,	0.338,		-4.678},
		[4] = 	{-0.82,		0.265,		2.774},
		[5] = 	{-0.82,		0.265,		-2.774},
		[6] = 	{-0.82,		0.255,		4.274},
		[7] = 	{-0.82,		0.255,		-4.274},
		[8] = 	{-5.889,	-0.257,		1.193},
		[9] = 	{-5.889,	-0.257,		-1.193},
		[10] = 	{-1.257,	0.283,		3.05},
		[11] = 	{-1.257,	0.283,		-3.05},
	}, -- end of fires_pos
	]]--

	--[[

	-- Countermeasures
	passivCounterm = {
		CMDS_Edit = true,
		SingleChargeTotal = 128,
		-- PPR-26
		chaff = {default = 64, increment = 3, chargeSz = 1},
		-- PPI-26
		flare = {default = 64, increment = 3, chargeSz = 1}
	},
	]]--

	attribute 		= { wsType_Air, wsType_Airplane, wsType_Fighter, Su_34,"Bombers", "Refuelable"},
	CanopyGeometry	=  makeAirplaneCanopyGeometry(LOOK_GOOD, LOOK_AVERAGE, LOOK_AVERAGE),
	
	--[[
	Sensors =
	{
		RADAR = "N-011M",
		OPTIC = "Su-34 FLIR",
		RWR   = "Abstract RWR"
	},
	]]--

	Tasks =
	{
		aircraft_task(AFAC),
		aircraft_task(SEAD),
		aircraft_task(AntishipStrike),
		aircraft_task(CAS),
		aircraft_task(CAP),
		aircraft_task(Intercept),
		aircraft_task(PinpointStrike),
		aircraft_task(GroundAttack),
		aircraft_task(RunwayAttack),
	},
	DefaultTask = aircraft_task(CAP),

	--SFM_aerodynamics.lua (file 4 for assembly)

	SFM_Data = {
		aerodynamics = --Cx = Cx_0 + Cy ^ 2 * B2 + Cy ^ 4 * B4
		{

			Cy0 = 0,
			Mzalfa = 4.355,					-- default
			Mzalfadt = 2,					-- note: set to this value for jaguar to improve in-flight handling
			kjx = 3,						-- default
			kjz = 0.00125,					-- default
			Czbe = -0.016,					-- default
			cx_gear = 0.02,					-- default
			cx_flap = 0.08,					-- default
			cy_flap = 0.25,					-- default
			cx_brk = 0.1,					-- default

			table_data = {
				--M     Cx0     Cya     B       B4      Omxmax  Aldop   Cymax
				{0,		0.015,	0.0747,	0.172,	0.0195,	2.3,	11.7,	0.876,		},
				{0.1,	0.015,	0.0675,	0.172,	0.0195,	6.25,	13,	0.876,		},
				{0.2,	0.015,	0.0751,	0.172,	0.0195,	6.25,	14.3,	1.08,		},
				{0.3,	0.015,	0.119,	0.172,	0.0195,	6.25,	15.8,	1.74,		},
				{0.4,	0.015,	0.163,	0.172,	0.0195,	6.25,	17.5,	2,		},
				{0.5,	0.015,	0.157,	0.117,	0.0143,	6.25,	17.5,	2,		},
				{0.6,	0.015,	0.149,	0.0893,	0.0122,	6.25,	17.5,	2,		},
				{0.7,	0.015,	0.139,	0.0735,	0.0115,	6.25,	17.5,	2,		},
				{0.8,	0.0213,	0.129,	0.0612,	0.0111,	2.3,	17.5,	2,		},
				{0.9,	0.035,	0.0485,	0.041,	0.0074,	2.01,	17.5,	1.7,		},
				{1,		0.0448,	0.051,	0.352,	0.176,	1.76,	16.6,	1.61,		},
				{1.1,	0.0443,	0.0536,	0.308,	0.154,	1.54,	15.8,	1.54,		},
				{1.2,	0.0439,	0.0564,	0.27,	0.135,	1.35,	15.1,	1.46,		},
				{1.3,	0.0435,	0.0592,	0.236,	0.118,	1.18,	14.3,	1.39,		},
				{1.4,	0.043,	0.0623,	0.207,	0.103,	1.03,	13.6,	1.32,		},
				{1.5,	0.0426,	0.0655,	0.181,	0.0904,	0.904,	13,	1.26,		},
				{1.6,	0.0422,	0.0688,	0.158,	0.0791,	0.791,	12.3,	1.2,		},
				{1.7,	0.0417,	0.0724,	0.139,	0.0693,	0.693,	11.7,	1.14,		},
				{1.8,	0.0413,	0.0761,	0.121,	0.0606,	0.606,	11.2,	1.08,		},
				{1.9,	0.0409,	0.08,	0.106,	0.053,	0.53,	10.6,	1.03,		},
				{2,		0.0405,	0.0841,	0.0928,	0.0464,	0.464,	10.1,	0.98,		},
			}, --end of table_data
		}, --end of aerodynamics
		engine = 
		{
			Nmg = 50,					-- default
			MinRUD = 0,
			MaxRUD = 1,
			MaksRUD  = 0.85,
			ForsRUD  = 0.91,
			typeng  = 1,
			hMaxEng	= 19,				-- default
			dcx_eng = 0.015,			-- default
			cemax  = 1.24,				-- default
			cefor  = 2.56,				-- default
			dpdh_m = 1000,
			dpdh_f = 2000,

			--[[			table_data = {
				--M 	Pmax	Pafb
				{0,	40040,	57201,		},
				{0.2,	60061,	85801,		},
				{0.4,	80081,	114402,		},
				{0.6,	80081,	114402,		},
				{0.8,	80081,	114402,		},
				{1,	80081,	114402,		},
				{1.2,	80081,	114402,		},
				{1.4,	80081,	114402,		},
				{1.6,	80081,	114402,		},
				{1.8,	80081,	114402,		},
				{2,	60061,	85801,		},
				{2.2,	40040,	57201,		},
			}, --end of table_data
			--]]

			table_data = {
				--M 	Pmax	Pafb
				{0.0,	0.0,	0.0,		},
				{ 2.0,	0.0,	0.0,		},
			}, --end of table_data


			--[[
				engine calibration worksheet (for in-game testing)
				alt     	vel		adj
				0 k ft		0.m		adj:+/-
				15 k ft		0.m		adj:+/-
				36 k ft		0.m		adj:+/-
				37 k ft		0.m		adj:+/-
				39 k ft		0.m		adj:+/-
				44 k ft		0.m		adj:+/-
				48 k ft		0.m		adj:+/-
				50 k ft		0.m		adj:+/-
			]]--

			extended = {

				thrust_max = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 10972, 11521, 12097, 13459, 14656, 15329 }, 
					thrust = {
						{ 63670,  95505,  127341, 127341, 127341, 127341, 127341, 127341, 127341, 127341, 95505,  63670  }, 
						{ 40021,  60032,  80043,  80043,  80043,  80043,  80043,  80043,  80043,  80043,  60032,  40021  }, 
						{ 15917,  23876,  31835,  31835,  31835,  31835,  31835,  31835,  31835,  31835,  23876,  15917  }, 
						{ 13871,  20806,  27742,  27742,  27742,  27742,  27742,  27742,  27742,  27742,  20806,  13871  }, 
						{ 11551,  17327,  23103,  23103,  23103,  23103,  23103,  23103,  23103,  23103,  17327,  11551  }, 
						{ 6548,   9823,   13097,  13097,  13097,  13097,  13097,  13097,  13097,  13097,  9823,   6548   }, 
						{ 1318,   1978,   2637,   2637,   2637,   2637,   2637,   2637,   2637,   2637,   1978,   1318   }, 
						{ 454,    682,    909,    909,    909,    909,    909,    909,    909,    909,    682,    454    }, 
					}, -- thrust = {

				}, --thrust_max = {

				thrust_afterburner  = {
					M = { 0.000000, 0.200000, 0.400000, 0.600000, 0.800000, 1.000000, 1.200000, 1.400000, 1.600000, 1.800000, 2.000000, 2.200000, }, 
					H = { 0, 4571, 10972, 11521, 12097, 13459, 14656, 15329 }, 
					thrust = {
						{ 90958,  136437, 181916, 181916, 181916, 181916, 181916, 181916, 181916, 181916, 136437, 90958  }, 
						{ 57173,  85760,  114347, 114347, 114347, 114347, 114347, 114347, 114347, 114347, 85760,  57173  }, 
						{ 22739,  34109,  45479,  45479,  45479,  45479,  45479,  45479,  45479,  45479,  34109,  22739  }, 
						{ 19815,  29723,  39631,  39631,  39631,  39631,  39631,  39631,  39631,  39631,  29723,  19815  }, 
						{ 16502,  24753,  33004,  33004,  33004,  33004,  33004,  33004,  33004,  33004,  24753,  16502  }, 
						{ 9355,   14033,  18711,  18711,  18711,  18711,  18711,  18711,  18711,  18711,  14033,  9355   }, 
						{ 1884,   2826,   3768,   3768,   3768,   3768,   3768,   3768,   3768,   3768,   2826,   1884   }, 
						{ 649,    974,    1299,   1299,   1299,   1299,   1299,   1299,   1299,   1299,   974,    649    }, 
					}, -- thrust = {

				}, --thrust_afterburner = {

			}, -- extended = {

		}, --end of engine

	},

	DamageParts =
	{
		[1] = "jaguar-collision",
	},

	-- (file 5 for aessembly)

	-- new
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
		[0]		= {critical_damage = 5, args = {146}},
		[3]		= {critical_damage = 20,args = {65}}  ,
		[4]		= {critical_damage = 20, args = {150}},
		[5]		= {critical_damage = 20, args = {147}},
		[7]		= {critical_damage = 4, args = {249}} ,
		[9]		= {critical_damage = 3, args = {154}},
		[10]	= {critical_damage = 3, args = {153}},
		[11]	= {critical_damage = 3, args = {167}},
		[12]	= {critical_damage = 3, args = {161}},
		[15]	= {critical_damage = 5, args = {267}},
		[16]	= {critical_damage = 5, args = {266}},
		[23]	= {critical_damage = 8, args = {223}, deps_cells = {25}},
		[24]	= {critical_damage = 8, args = {213}, deps_cells = {26, 60}},
		[25]	= {critical_damage = 3, args = {226}},
		[26]	= {critical_damage = 3, args = {216}},
		[29]	= {critical_damage = 9, args = {224}, deps_cells = {31, 25, 23}},
		[30]	= {critical_damage = 9, args = {214}, deps_cells = {32, 26, 24, 60}},
		[31]	= {critical_damage = 4, args = {229}},
		[32]	= {critical_damage = 4, args = {219}},
		[35]	= {critical_damage = 10, args = {225}, deps_cells = {29, 31, 25, 23}},
		[36]	= {critical_damage = 10, args = {215}, deps_cells = {30, 32, 26, 24, 60}} ,
		[37]	= {critical_damage = 4, args = {227}},
		[38]	= {critical_damage = 4, args = {217}},
		[39]	= {critical_damage = 7,	args = {244}, deps_cells = {53}},
		[40]	= {critical_damage = 7, args = {241}, deps_cells = {54}},
		[45]	= {critical_damage = 9, args = {235}, deps_cells = {39, 51, 53}},
		[46]	= {critical_damage = 9, args = {233}, deps_cells = {40, 52, 54}},
		[51]	= {critical_damage = 3, args = {239}},
		[52]	= {critical_damage = 3, args = {237}},
		[53]	= {critical_damage = 3, args = {248}},
		[54]	= {critical_damage = 3, args = {247}},
		[55]	= {critical_damage = 20, args = {81}, deps_cells = {39, 40, 45, 46, 51, 52, 53, 54}},
		[59]	= {critical_damage = 5, args = {148}},
		[60]	= {critical_damage = 1, args = {144}},

		[83]	= {critical_damage = 3, args = {134}} ,-- nose wheel
		[84]	= {critical_damage = 3, args = {136}}, -- left wheel
		[85]	= {critical_damage = 3, args = {135}} ,-- right wheel
	},


	-- solve triangle to have B_end == C_end with given A
	-- B_start assumed to be A_start
	-- C_start assumed to be A_end
	
	SolveTriangles = 
	{
		-- left gear post kinematics 
		{
			A_start   = "bracing_centr004",
			A_end     = "bracing_centr003",
			B_end     = "bracing_004",
			B_control = 484,
			C_end	  = "bracing_003",
			C_control = 483,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
		-- right gear post kinematics 
		{
			A_start   = "bracing_centr006",
			A_end     = "bracing_centr005",
			B_end     = "bracing_006",
			B_control = 486,
			C_end	  = "bracing_005",
			C_control = 485,
			B_scale   =  1/math.rad(46);
			C_scale   =  1/math.rad(25);
		},
	},  --SolveTriangles


}



--SFM_add.lua (file 6 for assembly)

add_aircraft(jaguar)


